import "./App.css";
import Fileset from "./Fileset";

function App() {
  let openSite = () => {
    // console.log(window);
    // window["windows"].reSize(1000, 1000);
  };
  return (
    <div className="App">
      <div className={"grid box"}>
        <div className={"bg-gray-100"}>
          <div className={"flex gap-2 ml-2 my-2 items-center"}>
            <div
              className={"border rounded-full w-[80px] h-[80px] bg-blue-500"}
            />
            <div className={"flex flex-col"}>
              <div
                className={"text-3xl select-none text-gray-700 font-bold"}
                onClick={openSite}
              >
                Fileset.io
              </div>
              <div className={"text-sm text-gray-400 mt-2 select-none"}>
                fileset of telegram api
              </div>
            </div>
          </div>
          <hr className={"my-2 bg-amber-900"} />
          <ol className={"mt-5 w-full text-center text-xl"}>
            <MenuItem>文件集</MenuItem>
            <MenuItem>同步盘</MenuItem>
            <MenuItem>收藏夹</MenuItem>
            <MenuItem>保险箱</MenuItem>
            <MenuItem>回收站</MenuItem>
            <hr className={"my-2 bg-amber-900"} />
            <MenuItem>我的分享</MenuItem>
            <MenuItem>传输列表</MenuItem>
          </ol>
        </div>

        <Fileset />
      </div>
    </div>
  );
}

function MenuItem(props) {
  return (
    <li className={"py-2 cursor-pointer select-none hover:bg-gray-200"}>
      {props.children}
    </li>
  );
}

export default App;
